%define module_name	hpt
%define module_version	2003.10.24
%define module_release	alt1

#### MODULE SOURCES ####
Name:          kernel-source-%module_name-%module_version
Version:       %module_version
Release:       %module_release
Summary:       HighPoint Technologies IDE/RAID drivers - module sources
License:       Distributable
Group:         Development/Kernel
URL:           http://www.highpoint-tech.com/
BuildArch:     noarch

Source0: kernel-source-hpt-Makefile

Source1: http://www.highpoint-tech.com/hpt302-opensource-v10.tgz
Source2: http://www.highpoint-tech.com/hpt371-opensource-v1.01.tgz
Source3: http://www.highpoint-tech.com/hpt374-opensource-v2.10.tgz
Source4: http://www.highpoint-tech.com/hpt3xx-opensource-v131.tgz

Patch2: hpt371-1.01-build.patch
Patch3: hpt374-2.10-build.patch

Packager:      Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
HighPoint Technologies IDE/RAID drivers module sources for Linux kernel.

%prep
%setup -T -c -n %name

%__mkdir hpt302
%__tar -xzf %SOURCE1 -C hpt302

%__mkdir hpt371
%__tar -xzf %SOURCE2 -C hpt371

%__mkdir hpt374
%__tar -xzf %SOURCE3 -C hpt374

%__mkdir hpt3xx
%__tar -xzf %SOURCE4 -C hpt3xx

%__install -p -m644 %SOURCE0 ./Makefile

%setup -D -T -n %name

%patch2 -p0
%patch3 -p0

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Fri Oct 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt1
- Initial release.

